Login | Register
My pages Projects Community openCollabNet

Discussions > issues > Can't compile MaxQ

maxq
Discussion topic

Hide all messages in topic

All messages in topic

Re: [maxq-issues] Can't compile MaxQ

Author oliverbock
Full name Oliver Bock
Date 2006-10-04 16:41:26 PDT
Message > I commented out line 44 of build.xml, then ran ant on a fresh copy of
> the source from cvs. It compiled!

Is this the line you commented out of build.xml?

<depend srcdir="${src.java.dir}" destdir="${build.dir}" cache="depcache"/>

> However, when I put TwillScriptGenerator.java back into
> /tmp/maxq/java/com/b​itmechanic/maxq/gene​rator/ , I get this:
> ...
> [javac]
> /tmp/maxq/java/com/b​itmechanic/maxq/gene​rator/TwillScriptGen​erator.java:25:
> com.bitmechanic.maxq​.generator.TwillScri​ptGenerator is not abstract
> and does not override abstract method
> doHeaders(com.bitmec​hanic.maxq.HeaderVal​ue[]) in
> com.bitmechanic.maxq​.generator.AbstractC​odeGenerator
> [javac] public class TwillScriptGenerator extends
> AbstractCodeGenerator {
> [javac] ^
> [javac] 1 error

It looks like the base class for script generators has been expanded
since TwillScriptGenerator was written. It will need to be updated.
doHeaders() was added in version 1.21 of AbstractCodeGenerator.java. To
bring TwillScriptGenerator up-to-date you will need to look at the
changes made to AbstractCodeGenerator, and apply them to
TwillScriptGenerator. I suspect the effect on TwillScripGenerator will
be fairly minimal. You can see the changes applied to
CompactScriptGenerator here:

http://maxq.tigris.o​rg/source/browse/max​q/java/com/bitmechan​ic/maxq/generator/Co​mpactGenerator.java?​r1=text&tr1=1.10​&r2=text&tr2​=1.15&diff_forma​t=h


Regards,

  Oliver

Re: [maxq-issues] Can't compile MaxQ

Author Erik Wickstrom <erik at erikwickstrom dot com>
Full name Erik Wickstrom <erik at erikwickstrom dot com>
Date 2006-10-04 14:24:06 PDT
Message Hi again Oliver,

Made some progress!

I commented out line 44 of build.xml, then ran ant on a fresh copy of the
source from cvs. It compiled! However, when I put
TwillScriptGenerator.java back into
/tmp/maxq/java/com/b​itmechanic/maxq/gene​rator/ , I get this:

erik@turbo:/tmp/maxq$ ant
Buildfile: build.xml

compile:
    [javac] Compiling 33 source files to /tmp/maxq/target/build
    [javac]
/tmp/maxq/java/com/b​itmechanic/maxq/gene​rator/TwillScriptGen​erator.java:25:
com.bitmechanic.maxq​.generator.TwillScri​ptGenerator is not abstract and does
not override abstract method doHeaders(com.bitmec​hanic.maxq.HeaderVal​ue[])
in com.bitmechanic.maxq​.generator.AbstractC​odeGenerator
    [javac] public class TwillScriptGenerator extends AbstractCodeGenerator
{
    [javac] ^
    [javac] 1 error

BUILD FAILED
/tmp/maxq/build.xml:46: Compile failed; see the compiler error output for
details.

Total time: 2 seconds
erik@turbo:/tmp/maxq$

Any idea why this error is coming up?

Thanks for all your help!
Erik

On 10/4/06, Erik Wickstrom <erik at erikwickstrom dot com> wrote:
>
> Hi Oliver,
>
> No, still can't build MaxQ. After removing the twill file, I get:
>
> erik@turbo:/tmp/maxq$ ant
> Buildfile: build.xml
>
> compile:
>
> BUILD FAILED
> /tmp/maxq/build.xml:44: Could not create task or type of type: depend.
>
> Ant could not find the task or a class this task relies upon.
>
> This is common and has a number of causes; the usual
> solutions are to read the manual pages then download and
> install needed JAR files, or fix the build file:
> - You have misspelt 'depend'.
> Fix: check your spelling.
> - The task needs an external JAR file to execute
> and this is not found at the right place in the classpath.
> Fix: check the documentation for dependencies.
> Fix: declare the task.
> - The task is an Ant optional task and the JAR file and/or libraries
> implementing the functionality were not found at the time you
> yourself built your installation of Ant from the Ant sources.
> Fix: Look in the ANT_HOME/lib for the 'ant-' JAR corresponding to the
> task and make sure it contains more than merely a
> META-INF/MANIFEST.MF.
> If all it contains is the manifest, then rebuild Ant with the needed
> libraries present in ${ant.home}/lib/optional/ , or alternatively,
> download a pre-built release version from apache.org
> - The build file was written for a later version of Ant
> Fix: upgrade to at least the latest release version of Ant
> - The task is not an Ant core or optional task
> and needs to be declared using <taskdef>.
> - You are attempting to use a task defined using
> <presetdef> or <macrodef> but have spelt wrong or not
> defined it at the point of use
>
> Remember that for JAR files to be visible to Ant tasks implemented
> in ANT_HOME/lib, the files must be in the same directory or on the
> classpath
>
> Please neither file bug reports on this problem, nor email the
> Ant mailing lists, until all of these causes have been explored,
> as this is not an Ant bug.
>
> Total time: 1 second
> erik@turbo :/tmp/maxq$ echo $CLASSPTAH
>
> erik@turbo:/tmp/maxq$
>
>
> if CLASSPATH is an environment variable, mine seems to be empty. I've
> reinstalled java, but that didn't make a difference. Is there anything else
> that you can think of?
>
> Thanks!
> Erik
>
>
> On 9/17/06, Oliver Bock <oliver at g7 dot org> wrote:
> >
> > Erik Wickstrom wrote:
> > > I tried compiling from cvs. I get a similar error:
> > >
> > > erik@turbo:~/src/maxq$ ant
> > > Unable to locate tools.jar. Expected to find it in
> > > /usr/lib/jvm/java-1.​5.0-sun-1.5.0.06 /lib/tools.jar
> > > Buildfile: build.xml
> > >
> > > compile:
> > > [mkdir] Created dir: /home/erik/src/maxq/​target/build
> > >
> > > BUILD FAILED
> > > /home/erik/src/maxq/​build.xml:44: Could not create task or type of
> > > type: depend.
> > >
> > > What else could it be? Do I need some packages installed other than
> > ant?
> >
> > Maxq builds fine on my OS X 10.4 with Java 1.5.0_06. My CLASSPATH is
> > empty before running ant. Can you build without this twill file? That
> > is, with a completely standard maxq? The error message suggests that
> > you are missing something from your Java installation.
> > I found
> > http://java.sun.com/​j2se/1.5.0/docs/tool​docs/findingclasses.​html using
> > Google, which suggests that you may need to fiddle with your CLASSPATH.
> >
> >
> > Oliver
> >
>
>
Attachments

Re: [maxq-issues] Can't compile MaxQ

Author Erik Wickstrom <erik at erikwickstrom dot com>
Full name Erik Wickstrom <erik at erikwickstrom dot com>
Date 2006-10-04 13:42:24 PDT
Message Hi Oliver,

No, still can't build MaxQ. After removing the twill file, I get:

erik@turbo:/tmp/maxq$ ant
Buildfile: build.xml

compile:

BUILD FAILED
/tmp/maxq/build.xml:44: Could not create task or type of type: depend.

Ant could not find the task or a class this task relies upon.

This is common and has a number of causes; the usual
solutions are to read the manual pages then download and
install needed JAR files, or fix the build file:
 - You have misspelt 'depend'.
   Fix: check your spelling.
 - The task needs an external JAR file to execute
     and this is not found at the right place in the classpath.
   Fix: check the documentation for dependencies.
   Fix: declare the task.
 - The task is an Ant optional task and the JAR file and/or libraries
     implementing the functionality were not found at the time you
     yourself built your installation of Ant from the Ant sources.
   Fix: Look in the ANT_HOME/lib for the 'ant-' JAR corresponding to the
     task and make sure it contains more than merely a META-INF/MANIFEST.MF.
     If all it contains is the manifest, then rebuild Ant with the needed
     libraries present in ${ant.home}/lib/optional/ , or alternatively,
     download a pre-built release version from apache.org
 - The build file was written for a later version of Ant
   Fix: upgrade to at least the latest release version of Ant
 - The task is not an Ant core or optional task
     and needs to be declared using <taskdef>.
 - You are attempting to use a task defined using
    <presetdef> or <macrodef> but have spelt wrong or not
   defined it at the point of use

Remember that for JAR files to be visible to Ant tasks implemented
in ANT_HOME/lib, the files must be in the same directory or on the
classpath

Please neither file bug reports on this problem, nor email the
Ant mailing lists, until all of these causes have been explored,
as this is not an Ant bug.

Total time: 1 second
erik@turbo:/tmp/maxq$ echo $CLASSPTAH

erik@turbo:/tmp/maxq$


if CLASSPATH is an environment variable, mine seems to be empty. I've
reinstalled java, but that didn't make a difference. Is there anything else
that you can think of?

Thanks!
Erik


On 9/17/06, Oliver Bock <oliver at g7 dot org> wrote:
>
> Erik Wickstrom wrote:
> > I tried compiling from cvs. I get a similar error:
> >
> > erik@turbo:~/src/maxq$ ant
> > Unable to locate tools.jar. Expected to find it in
> > /usr/lib/jvm/java-1.​5.0-sun-1.5.0.06/lib​/tools.jar
> > Buildfile: build.xml
> >
> > compile:
> > [mkdir] Created dir: /home/erik/src/maxq/​target/build
> >
> > BUILD FAILED
> > /home/erik/src/maxq/​build.xml:44: Could not create task or type of
> > type: depend.
> >
> > What else could it be? Do I need some packages installed other than
> ant?
>
> Maxq builds fine on my OS X 10.4 with Java 1.5.0_06. My CLASSPATH is
> empty before running ant. Can you build without this twill file? That
> is, with a completely standard maxq? The error message suggests that
> you are missing something from your Java installation.
> I found
> http://java.sun.com/​j2se/1.5.0/docs/tool​docs/findingclasses.​html using
> Google, which suggests that you may need to fiddle with your CLASSPATH.
>
>
> Oliver
>
Attachments

Re: [maxq-issues] Can't compile MaxQ

Author oliverbock
Full name Oliver Bock
Date 2006-09-17 15:58:31 PDT
Message Erik Wickstrom wrote:
> I tried compiling from cvs. I get a similar error:
>
> erik@turbo:~/src/maxq$ ant
> Unable to locate tools.jar. Expected to find it in
> /usr/lib/jvm/java-1.​5.0-sun-1.5.0.06/lib​/tools.jar
> Buildfile: build.xml
>
> compile:
> [mkdir] Created dir: /home/erik/src/maxq/​target/build
>
> BUILD FAILED
> /home/erik/src/maxq/​build.xml:44: Could not create task or type of
> type: depend.
>
> What else could it be? Do I need some packages installed other than ant?

Maxq builds fine on my OS X 10.4 with Java 1.5.0_06. My CLASSPATH is
empty before running ant. Can you build without this twill file? That
is, with a completely standard maxq? The error message suggests that
you are missing something from your Java installation.
  I found
http://java.sun.com/​j2se/1.5.0/docs/tool​docs/findingclasses.​html using
Google, which suggests that you may need to fiddle with your CLASSPATH.


   Oliver

Re: [maxq-issues] Can't compile MaxQ

Author Erik Wickstrom <erik at erikwickstrom dot com>
Full name Erik Wickstrom <erik at erikwickstrom dot com>
Date 2006-09-16 10:04:09 PDT
Message Hi Oliver,

I tried compiling from cvs. I get a similar error:

erik@turbo:~/src/maxq$ ant
Unable to locate tools.jar. Expected to find it in /usr/lib/jvm/java-
1.5.0-sun-1.5.0.06/l​ib/tools.jar
Buildfile: build.xml

compile:
    [mkdir] Created dir: /home/erik/src/maxq/​target/build

BUILD FAILED
/home/erik/src/maxq/​build.xml:44: Could not create task or type of type:
depend.

What else could it be? Do I need some packages installed other than ant?

Thanks!
Erik

On 9/13/06, Oliver Bock <oliver at g7 dot org> wrote:
>
> > Sorry if this is a newbie question, but I'm new to the Java world...
> >
> > I'm trying to compile the twill module into MaxQ. I've coppied
> > TwillScriptGenerator.java into the java/com/bitmechanic​/maxq/generator
> >
> > I then run "ant" from the directory holding MaxQ and get this error:
> >
> > maxq-0.98$ ant
> > Unable to locate tools.jar. Expected to find it in
> > /usr/lib/jvm/java-1.5.0-sun-1 .5.0.06/lib/tools.jar
> > Buildfile: build.xml
>
> Hi Erik,
>
> Could there be something strange about the Java installation on your
> machine? Please get MaxQ from CVS
> (http://maxq.tigris.o​rg/servlets/ProjectS​ource) and tell me whether you
> still get this problem.
>
>
> Oliver
>
Attachments

Re: [maxq-issues] Can't compile MaxQ

Author oliverbock
Full name Oliver Bock
Date 2006-09-13 16:44:27 PDT
Message > Sorry if this is a newbie question, but I'm new to the Java world...
>
> I'm trying to compile the twill module into MaxQ. I've coppied
> TwillScriptGenerator.java into the java/com/bitmechanic​/maxq/generator
>
> I then run "ant" from the directory holding MaxQ and get this error:
>
> maxq-0.98$ ant
> Unable to locate tools.jar. Expected to find it in
> /usr/lib/jvm/java-1.5.0-sun-1 .5.0.06/lib/tools.jar
> Buildfile: build.xml

Hi Erik,

Could there be something strange about the Java installation on your
machine? Please get MaxQ from CVS
(http://maxq.tigris.o​rg/servlets/ProjectS​ource) and tell me whether you
still get this problem.


   Oliver

Can't compile MaxQ

Author Erik Wickstrom <erik at erikwickstrom dot com>
Full name Erik Wickstrom <erik at erikwickstrom dot com>
Date 2006-09-13 15:19:48 PDT
Message Hi all,

Sorry if this is a newbie question, but I'm new to the Java world...

I'm trying to compile the twill module into MaxQ. I've coppied
TwillScriptGenerator.java into the java/com/bitmechanic​/maxq/generator

I then run "ant" from the directory holding MaxQ and get this error:

maxq-0.98$ ant
Unable to locate tools.jar. Expected to find it in /usr/lib/jvm/java-
1.5.0-sun-1 .5.0.06/lib/tools.jar
Buildfile: build.xml

compile:

BUILD FAILED
/home/erik/downloads​/maxq-0.98/build.xml​:35: Could not create task or type
of ty pe: depend.

Ant could not find the task or a class this task relies upon.

This is common and has a number of causes; the usual
solutions are to read the manual pages then download and
install needed JAR files, or fix the build file:
 - You have misspelt 'depend'.
   Fix: check your spelling.
 - The task needs an external JAR file to execute
     and this is not found at the right place in the classpath.
   Fix: check the documentation for dependencies.
   Fix: declare the task.
 - The task is an Ant optional task and the JAR file and/or libraries
     implementing the functionality were not found at the time you
     yourself built your installation of Ant from the Ant sources.
   Fix: Look in the ANT_HOME/lib for the 'ant-' JAR corresponding to the
     task and make sure it contains more than merely a META-INF/MANIFEST.MF.

     If all it contains is the manifest, then rebuild Ant with the needed
     libraries present in ${ant.home}/lib/optional/ , or alternatively,
     download a pre-built release version from apache.org
 - The build file was written for a later version of Ant
   Fix: upgrade to at least the latest release version of Ant
 - The task is not an Ant core or optional task
     and needs to be declared using <taskdef>.
 - You are attempting to use a task defined using
    <presetdef> or <macrodef> but have spelt wrong or not
   defined it at the point of use

Remember that for JAR files to be visible to Ant tasks implemented
in ANT_HOME/lib, the files must be in the same directory or on the
classpath

Please neither file bug reports on this problem, nor email the
Ant mailing lists, until all of these causes have been explored,
as this is not an Ant bug.

Total time: 0 seconds

What am I missing. This is a fresh download of MaxQ from the site...

Thanks for your help!
Erik
Attachments

Can't compile MaxQ

Author Erik Wickstrom <erik at erikwickstrom dot com>
Full name Erik Wickstrom <erik at erikwickstrom dot com>
Date 2006-09-13 09:03:00 PDT
Message Hi all,

Sorry if this is a newbie question, but I'm new to the Java world...

I'm trying to compile the twill module into MaxQ. I've coppied
TwillScriptGenerator.java into the java/com/bitmechanic​/maxq/generator

I then run "ant" from the directory holding MaxQ and get this error:

maxq-0.98$ ant
Unable to locate tools.jar. Expected to find it in /usr/lib/jvm/java-
1.5.0-sun-1 .5.0.06/lib/tools.jar
Buildfile: build.xml

compile:

BUILD FAILED
/home/erik/downloads​/maxq-0.98/build.xml​:35: Could not create task or type
of ty pe: depend.

Ant could not find the task or a class this task relies upon.

This is common and has a number of causes; the usual
solutions are to read the manual pages then download and
install needed JAR files, or fix the build file:
 - You have misspelt 'depend'.
   Fix: check your spelling.
 - The task needs an external JAR file to execute
     and this is not found at the right place in the classpath.
   Fix: check the documentation for dependencies.
   Fix: declare the task.
 - The task is an Ant optional task and the JAR file and/or libraries
     implementing the functionality were not found at the time you
     yourself built your installation of Ant from the Ant sources.
   Fix: Look in the ANT_HOME/lib for the 'ant-' JAR corresponding to the
     task and make sure it contains more than merely a META-INF/MANIFEST.MF.
     If all it contains is the manifest, then rebuild Ant with the needed
     libraries present in ${ant.home}/lib/optional/ , or alternatively,
     download a pre-built release version from apache.org
 - The build file was written for a later version of Ant
   Fix: upgrade to at least the latest release version of Ant
 - The task is not an Ant core or optional task
     and needs to be declared using <taskdef>.
 - You are attempting to use a task defined using
    <presetdef> or <macrodef> but have spelt wrong or not
   defined it at the point of use

Remember that for JAR files to be visible to Ant tasks implemented
in ANT_HOME/lib, the files must be in the same directory or on the
classpath

Please neither file bug reports on this problem, nor email the
Ant mailing lists, until all of these causes have been explored,
as this is not an Ant bug.

Total time: 0 seconds

What am I missing. This is a fresh download of MaxQ from the site...

Thanks for your help!
Erik
Attachments
Messages per page: